fourdst::libcomposition v1.9.0 Robust atomic species information library

Loading...
Searching...
No Matches
Private Member Functions | List of all members
fourdst::composition::exceptions::InvalidSpeciesSymbolError Class Referencefinal

Exception thrown for an invalid chemical species symbol in a composition entry. More...

`#include <exceptions_composition.h>`

Inheritance diagram for fourdst::composition::exceptions::InvalidSpeciesSymbolError:

## Private Member Functions
| CompositionEntryError (const std::string &message)
| Constructs a CompositionEntryError with an error message.

## Additional Inherited Members
Public Member Functions inherited from fourdst::composition::exceptions::CompositionEntryError
| CompositionEntryError (const std::string &message)
| Constructs a CompositionEntryError with an error message.
const char * | what () const noexcept override
| Returns the error message.
Protected Attributes inherited from fourdst::composition::exceptions::CompositionEntryError
std::string | m_message
| The error message.

## Detailed Description

Exception thrown for an invalid chemical species symbol in a composition entry.

Definition at line 127 of file exceptions_composition.h.

## Member Function Documentation

## ◆ CompositionEntryError()

fourdst::composition::exceptions::CompositionEntryError::CompositionEntryError | ( | const std::string & | message | ) |
| inline explicit private

Constructs a CompositionEntryError with an error message.

Parameters

  message | The error message.

Definition at line 55 of file exceptions_composition.h.

The documentation for this class was generated from the following file:

- src/composition/include/fourdst/composition/exceptions/exceptions_composition.h